package org.studiorailgun.conversation.parser.depend;

import edu.stanford.nlp.ling.IndexedWord;

/**
 * The coordinating word for this clause
 */
public class Coordinator {
    
    /**
     * The root of the coordinator
     */
    IndexedWord root;

    /**
     * Constructor
     * @param root The root of the coordinator
     */
    public Coordinator(IndexedWord root){
        this.root = root;
    }

    /**
     * Gets the root of this coordinator
     * @return The root
     */
    public IndexedWord getRoot(){
        return root;
    }

}
